Delete a user by ID
curl --request DELETE \
--url https://pria.praxislxp.com/api/admin/user/{userId} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/admin/user/{userId}"
headers = {"x-access-token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/admin/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "User deleted successfully"
}Admin Users
Delete a user by ID
Permanently removes a user from the system. This is an admin-only operation.
DELETE
/
api
/
admin
/
user
/
{userId}
Delete a user by ID
Authorizations
JWT token passed in x-access-token header
Path Parameters
The unique identifier of the user to delete (MongoDB ObjectId)
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
Get user details by ID (Admin only)Create a new user in the admin system. Users get 15 credits when created. When plan set to 'sdk' with a valid institution (your digital twin _id), user is automatically enrolled into the instance
⌘I